|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QLayout

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QLayout class reference

### Properties

- margin : int `(obsolete)`

### Public Functions

- int margin () const `(obsolete)`
- void setMargin ( int margin ) `(obsolete)`

## Property Documentation

### margin : int

This property holds the width of the outside border of the layout.

Use setContentsMargins() and getContentsMargins() instead.

Access functions:

- int margin () const
- void setMargin ( int margin )

See also contentsRect() and spacing.